ctfstool(1)

NAME

ctfstool - Tool for manipulation of files on memory chip cards

SYNTAX

ctfstool <command> [options]

DESCRIPTION

This tool allows manipulation of files on a memory chip card (using LibChipCard's Card File System).

OPTIONS

-u <userid>
    Specify the user id of the owner of the chip card. This is only needed with encrypted file systems.

-p <password>
    Specify the password for the chip card. This is only needed with encrypted file systems.

COMMANDS

format <size> <name>
    Prepare the chip card to be used as a file storage. If options -u and -p are given then the file system will be encrypted.
    size is the size of the memory on the card to be used, name is the name to assign to the card.

scratch <size>
    Overwrite all the data on the chip card. size is the size of the memory on the card to be used

info
    Show some information about the card.

mode <mode>
    Sets the mode. Currently there are two modes:
    RW set to read-write mode
    RO set to read-only mode, thus allowing no changes to be made to the card

md <name>
    Create a directory of the name

rd <name>
    Remove a directory of the name. This directory MUST be empty.

ls <dir>
    List the content of the given dir on the card.

cat <file>
    Dump the content of the given file to stdout.

read <source> <destination>
    Reads a file from the card and stores it locally.

write <source> <destination>
    Stores a local file on the chip card.

FILES

/etc/libchipcard.conf

EXAMPLES

To create a file system on a 16 KB memory chip card type:

ctfstool format 16382 Medium-16KB-1 -u martin -p secret

View some information and statistics about the card with:
ctfstool info -u martin -p secret

AUTHORS

Martin Preuss <martin@libchipcard.de>

SEE ALSO